To launch a MAN eLearning course your operating system and browser needs to meet the following listed minimum requirements. If you have concerns while participating an eLearning, please check the troubleshooting procedures listed here.

Start eLearning

Minimum Operating Systems Requirements

Additional version specific specifications